<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="/css/panel.css" rel="stylesheet"/>


    <link href="/css/auction-list.css" rel="stylesheet"/>
    <link href="/css/custom-image.css" rel="stylesheet"/>
    <link href="/css/common-tools.css" rel="stylesheet"/>
    <link href="/css/custom-image.css" rel="stylesheet"/>
    <link href="/css/common-tools.css" rel="stylesheet"/>

    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</head>
<body>

<div th:replace="nav.html :: body"></div>
<div class="container">
    <div class="wrapper">
        <div class="topBoxPanel">
            <div class="centerBox">
                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                    <div class="input-group-prepend">
                        <span class="input-group-text" style="padding-right: 70px">Messages</span>
                    </div>
                    <a class="btn btn-secondary" href="/messages/list/commission"
                       th:text="'Commissions : ' + ${countOfCommissions} ">
                    </a>
                    <a class="btn btn-secondary" href="/messages/list/arttrade">
                        Art-Trade
                    </a>
                    <a class="btn btn-secondary" href="/messages/list/adopt">
                        Adopt
                    </a>
                    <a class="btn btn-secondary" href="/messages/list/wonAuctions"
                       th:text="'Won Auctions : ' + ${countOfWonAuctions}">
                    </a>
                </div>
            </div>
        </div>
        <div class="topBoxPanel">
            <div class="centerBox">
                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                    <div class="input-group-prepend">
                        <span class="input-group-text" style="padding-right: 70px">Auctions</span>
                    </div>
                    <a class="btn btn-secondary" href="/user-auction-list">
                        Active Auctions
                    </a>
                    <a class="btn btn-secondary" href="/user-auction-list-history">
                        Auctions History
                    </a>
                </div>
            </div>
        </div>
        <div class="topBoxPanel">
            <div class="centerBox">
                <div class="btn-group btn-group-toggle" data-toggle="buttons">
                    <div class="input-group-prepend">
                        <span class="input-group-text" style="padding-right: 70px">Portfolio</span>
                    </div>
                    <a class="btn btn-secondary" href="/my-gallery">
                        Gallery
                    </a>
                    <a class="btn btn-secondary" href="/upload-to-gallery">
                        Upload To Gallery
                    </a>
                </div>
            </div>
        </div>
        <h2 th:text="${title}"></h2>
        <div class="topBoxPanel">
            <div class="auction-list-box">
                <div th:each="oneAuction, iter : ${commissionList}">
                    <div class="single-auction-box">
                        <div class="single-commission-message">
                            <!--<div class="tag" th:text="${oneAuction.theHighestBid} + ' $'"></div>-->
                            <a th:href="@{'/commission/' + ${oneAuction.getId()}}" th:method="post">
                                <img class="portrait" height="258"
                                     th:src="@{'/downloadFile/' + ${oneAuction.getAuction().getImageId()}}"
                                     width="258"/>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>